/// class ProspectDirector.Modules.Explorer.Contents.TabbedContent 
/// using ProspectDirector.Modules.Explorer.Contents.ExplorerContent

ProspectDirector.Modules.Explorer.Contents.TabbedContent = ProspectDirector.Modules.Explorer.Contents.ExplorerContent.extend({

    init: function (options) {
        this._super(options);

        this.init_splitter();

    },

    //---------------------------
    //--- PROPERTIES
    //---------------------------

    get_splitter: function () {
        return this.get_container().find("[data-id=explorer-content-splitter]");
    },

    //---------------------------
    //--- INITIALIZERS
    //---------------------------

    init_splitter: function () {

        new ProspectDirector.Types.Core.ViewportSplitter({
            selector: this.get_splitter().selector
        });

    },

    //---------------------------
    //--- METHODS
    //---------------------------

    unload: function () {

        var splitter = this.get_splitter().data("viewportSplitter");

        if (splitter) {
            splitter.destroy();
        }

    }

});